%define upstream_name    SOAP-Lite
%define upstream_version 1.27

%global __requires_exclude perl\\((MQSeries.*|MQClient.*)\\)
%global __provides_exclude perl\\((LWP::Protocol|My::.*)\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Client and server side SOAP implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-deps.patch

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::SessionData) >= 1.30.0
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildRequires: perl(XML::Parser::Lite) >= 0.715.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%__perl -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --noprompt
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/SOAP

%changelog
* Tue Apr 05 2022 tv <tv> 1.270.0-3.mga9
+ Revision: 1844554
- BR perl(HTTP::Daemon) thus fixing testsuite
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.270.0-2.mga8
+ Revision: 1519926
- Mageia 8 Mass Rebuild

* Tue Oct 23 2018 tv <tv> 1.270.0-1.mga7
+ Revision: 1324682
- update to 1.27

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-4.mga7
+ Revision: 1285965
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.200.0-3.mga7
+ Revision: 1166534
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.200.0-2.mga7
+ Revision: 1160950
- add BR on perl(HTTP::Daemon)

* Mon Jul 31 2017 sander85 <sander85> 1.200.0-1.mga7
+ Revision: 1132976
- update to 1.20

* Sun Jun 19 2016 pterjan <pterjan> 1.190.0-3.mga6
+ Revision: 1033136
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.190.0-2.mga6
+ Revision: 969645
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 873620
- update to 1.19

* Sat Aug 01 2015 sander85 <sander85> 1.170.0-1.mga6
+ Revision: 860351
- update to 1.17

* Tue Jun 30 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 849028
- update to 1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 750372
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-3.mga5
+ Revision: 733378
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 686132
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Feb 24 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 596233
- update to 1.11

* Mon Feb 10 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 588227
- update to 1.10

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-2.mga4
+ Revision: 532723
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 1.60.0-1.mga4
+ Revision: 469531
- update to 1.06

* Mon Aug 19 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 467924
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 0.715.0-2.mga3
+ Revision: 372413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.715.0-1.mga3
+ Revision: 295170
- update to 0.715

* Mon Nov 07 2011 colin <colin> 0.714.0-2.mga2
+ Revision: 164867
- Fix Transport-FTP version (partial upstream fix, partial manual META.yml fix)

* Wed Oct 26 2011 takashi <takashi> 0.714.0-1.mga2
+ Revision: 158214
- update to 0.714

* Sun Jan 23 2011 jquelin <jquelin> 0.712.0-1.mga1
+ Revision: 34212
- mageia rebuild
- imported package perl-SOAP-Lite

